# https://github.com/etcd-io/bbolt
%global goipath         go.etcd.io/bbolt
%global forgeurl        https://github.com/etcd-io/bbolt
%global oldgoipath      github.com/coreos/bbolt
%global oldgoname       %gorpmname %{oldgoipath}
Version:                1.3.2

%gometa

Name:           %{goname}
Release:        2%{?dist}
Summary:        An embedded key/value database for Go
# Detected licences
# - MIT/X11 (BSD like) at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.lock
Source2:        glide.yaml

%description
%{summary}


%package devel
Summary:       %{summary}

BuildRequires: golang(golang.org/x/sys/unix)

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%package -n compat-%{oldgoname}-devel
Summary:    %{summary}
BuildArch:  noarch
 
%description -n compat-%{oldgoname}-devel
%{summary}
 
This package contains compatibility glue for code that still imports the
%{oldgoipath} Go namespace.


%prep
%forgesetup 
cp %{SOURCE1} %{SOURCE2} .


%install
%goinstall glide.lock glide.yaml

install -m 0755 -vd %{buildroot}%{gopath}/src/%(dirname %{oldgoipath})
ln -s %{gopath}/src/%{goipath} %{buildroot}%{gopath}/src/%{oldgoipath}


%check
# Consumes too much memory
%gochecks -d .


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%files -n compat-%{oldgoname}-devel
%dir %{gopath}/src/%(dirname %{oldgoipath})
%{gopath}/src/%{oldgoipath}


%changelog
* Wed Mar 06 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.2-2
- Update to release v1.3.2
- New import path go.etcd.io/bbolt

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-0.3.coreos.5.20180309git32c383e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 09 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.3.1-0.2.coreos.5.20180309git32c383e
- Upload glide files

* Fri Mar 09 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.3.1-0.1.coreos.5.20180309git32c383e
- First package for Fedora
  resolves: #1553730
